### Constructor

# Gtk.WidgetPaintable.new

#### Declaration [src]

    GdkPaintable*
    gtk_widget_paintable_new (
      GtkWidget* widget
    )

#### Description [src]

Creates a new widget paintable observing the given widget.

#### Parameters

`widget` | `GtkWidget`
| a `GtkWidget` or `NULL`
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidgetPaintable`
a new `GtkWidgetPaintable`
Ownership of the data is transferred to the caller